## I deployed a gitea instance to DigitalOcean

Once Droplet has been created, please modify values in /var/snap/gitea/common/conf/app.ini to insert your DOMAIN. The password for the gitea_admin user is located in /root/.digitalocean_password please use this to connect to your Gitea install at http://${IP}/ and login to create your new user.

Yeah, so it looks like I'm going to have to become a bit familiar with ssh.

## Setup

## How to connect via ssh.
ssh root@46.101.195.22
ssh root@git.loki.red


## Domain forwarding.
https://cloud.digitalocean.com/networking/domains/git.loki.red?i=3b1212

## /var/snap/gitea/common/conf/app.ini
Change `DOMAIN` to the actual domain (e.g., git.loki.red)

## Default user
Password located @ /root/.digitalocean_password

## Gitea directory
gitea help
CustomPath:  /var/snap/gitea/common

## Send files over ssh

scp /path/to/file root@git.loki.red:/var/snap/gitea/common/public/img

scp /path/to/file root@git.loki.red:/var/snap/gitea/common/public/img

scp img.zip root@git.loki.red:/var/snap/gitea/common/public/img.zip

scp home.tmpl root@git.loki.red:/var/snap/gitea/common/templates/home.tmpl

## Install SSL
cd /var/snap/gitea/common/conf/
gitea cert --host git.loki.red
Then change configuration to conf/key.pem
https://docs.gitea.io/en-us/https-setup/
Also change the adress to (443 in the case of DigitalOcean)

## restart
snap restart gitea

## Firewall
sudo ufw disable
sudo ufw enable

## Install nginx
sudo apt install nginx
sudo service nginx enable
sudo service nginx start
sudo service nginx status
sudo rm /etc/nginx/sites-enabled/default

sudo certbot certonly --standalone -d git.loki.red

##  Themes
https://gitea.com/gitea/awesome-gitea#themes
https://docs.gitea.io/en-us/customizing-gitea/

